#!/bin/sh

PATH=/usr/bin
WRKSRC="$1"
BRANCH="$2"

[ -d "${WRKSRC}" ] || exit 1
[ -z "${BRANCH}" ] && exit 1

cd "${WRKSRC}" || exit 1
./init-repository --module-subset=default,-qtwebengine

for subdir in $(find "${WRKSRC}" -type d -name "qt*" -maxdepth 1) ; do
    cd "${subdir}" || exit 1
    ../qtbase/bin/syncqt.pl -version "${BRANCH}"
    cd ..
done
