#!/bin/sh
PATH=/usr/bin
CWD="$1"
NEW_VER="$2"

if [ -z "${CWD}" ]; then
    echo "*** missing CWD" >&2
    exit 1
fi

if [ -z "${NEW_VER}" ]; then
    echo "*** missing NEW_VER" >&2
    exit 1
fi

VER="$(echo "${NEW_VER}" | cut -d '+' -f 1)"
GITHASH="$(echo "${NEW_VER}" | cut -d '+' -f 2)"

sed -i -e "s|^ver:.*$|ver: ${VER}+${GITHASH}|g" ${CWD}/upstream
sed -i -e "s|^VER.*=.*$|VER = ${VER}|g" ${CWD}/Makefile
sed -i -e "s|^WRKDIST.*=.*$|WRKDIST = \$(PKG)-\$(VER)+${GITHASH}|g" ${CWD}/Makefile
