#!/bin/sh
#
# D-Bus will find things in the standard system paths but to ensure
# everyone knows what those are, the variables below are set to those
# paths.  If this profile script is removed, dbus should still work
# just fine.  The main purpose of this file is to show where D-Bus
# is looking for .service files.
#

XDG_DATA_HOME="$HOME/.local/share"
export XDG_DATA_HOME

XDG_DATA_DIRS="/usr/local/share:/usr/share:/usr/X11/share:/usr/wayland/share"
export XDG_DATA_DIRS
