#!/bin/sh

# Silence the console beep always.
if [ -z "${DESKTOP_SESSION}" ] && [ ! "$(/usr/bin/tty | /usr/bin/cut -c-9)" = "/dev/pts/" ]; then
    # We're probably not in X
    [ -x /usr/bin/setterm ] && /usr/bin/setterm -blength 0
else
    # We're probably in an X session, but make sure
    /usr/X11/bin/xset --help >/dev/null 2>&1
    if [ $? -ne 1 ] && [ -x /usr/X11/bin/xset ]; then
        /usr/X11/bin/xset -b
    fi
fi
