#!/bin/sh

if ! echo "${PATH}" | grep -Eq "(^|:)/usr/games($|:)" ; then
    PATH=${PATH}:/usr/games
    export PATH
fi

HACKDIR=/usr/share/nethack
export HACKDIR

HACKPAGER=
if [ -z "${PAGER}" ]; then
    if [ -x /usr/bin/less ]; then
        HACKPAGER=/usr/bin/less
    elif [ -x /usr/bin/more ]; then
        HACKPAGER=/usr/bin/more
    fi
else
    HACKPAGER="${PAGER}"
fi

if [ ! -z "${HACKPAGER}" ]; then
    export HACKPAGER
fi
