#!/bin/sh
#
# Extract the Lua license from the header file.
#

PATH=/usr/bin
HDR="$1"

if [ ! -f "${HDR}" ]; then
    echo "Usage: $(basename "$0") [path to lua.h]" >&2
    exit 1
fi

start=$(grep -E -n "/\*{78}" "${HDR}" | cut -d ':' -f 1)
end=$(grep -E -n "\*{78}/" "${HDR}" | cut -d ':' -f 1)
sed -n "${start},${end}p" "${HDR}"
