import site
import os
import sys

pysubdir = "python%s" % sys.version[:3]

for sub in ['X11', 'wayland', 'local']:
    newdir = os.path.join('/usr', sub, 'lib', pysubdir)
    if os.path.isdir(newdir):
        site.addsitedir(newdir)

    for nextsub in ['lib-dynload', 'site-packages']:
        newsubdir = os.path.join(newdir, nextsub)
        if os.path.isdir(newsubdir):
            site.addsitedir(newsubdir)
