/* Display the program name and version number. */

/*
 * Copyright David Cantrell <dcantrell@burdell.org>
 * Copyright David Shea <david@reallylongword.org>
 * SPDX-License-Identifier: Apache-2.0
 */

#include <stdlib.h>
#include <assert.h>
#include <libgen.h>
#include "dist-tools.h"

int ver(char *progname)
{
    char *prog = NULL;

    assert(progname != NULL);

    if ((prog = basename(progname)) == NULL) {
        return -1;
    }

    printf("%s version %s, built %s\n", prog, VERSION, BUILD_DATE);
    return 0;
}
