#!/bin/sh

echo "${PATH}" | grep -q ".local/bin" >/dev/null 2>&1
if [ $? -eq 1 ]; then
    PATH=${PATH}:${HOME}/.local/bin
    export PATH
fi

if [ ! -d ${HOME}/orchard ]; then
    echo "*** Missing ~/orchard, unable to proceed." >&2
    exit 1
fi

cd ${HOME}/orchard
buildbot-worker start
